package WebDP::ExampleTest;
use strict;
use base qw(Test::Class);         # 1
use Test::More;

sub make_fixture : Test(setup) {  #
    my $self = shift;             # 2
    $self->{test_array} = [1, 2]; #
}                                 #

sub test_push : Test {                  # 3
    my $array = shift->{test_array};
    push @$array, 3;
    is_deeply($array, [1, 2, 3], 'push worked');
}

sub test_pop : Test(4) {                   #
    my $array = shift->{test_array};       # 4
    is(pop @$array, 2, 'pop = 2');         #
    is(pop @$array, 1, 'pop = 1');
    is_deeply($array, [], 'array empty');
    is(pop @$array, undef, 'pop = undef');
}

sub teardown : Test(teardown) { # 5
    diag("after tests");
}

1;

