use strict;
use Test::More 'no_plan';

BEGIN {
    $INC{"Apache/Constants.pm"} = __FILE__; # 1

    package Apache::Constants;                #
    require Exporter;                         # 2
    @Apache::Constants::ISA = qw(Exporter);   #
    @Apache::Constants::EXPORT = qw(OK);      #

    sub OK () { 0 }
}

use_ok('WebDP::HelloWorld');

package Mock::Apache;

sub send_http_header {
    my($self, $header) = @_;
    ::is $header, 'text/html', 'header is text/html'; # 4
}

sub print {
    my $self = shift;
    ::is "@_", "Hello World!", "hello world output"; # 5
}

package main;
my $fake_r = bless {}, 'Mock::Apache';          #
my $rc = WebDP::HelloWorld::handler($fake_r);   # 3

is $rc, Apache::Constants::OK, 'returns OK';

