#!/usr/local/bin/perl -w
use strict;
use PHP::Session;

# load session
my $session = PHP::Session->new($id, {
    save_path => '/tmp/php-session',
});

# create session if non-existent
my $session = PHP::Session->new($id, {
    create => 1,
});

# get session id
my $id = $session->id;

# get/set session data
my $foo = $session->get('foo');
$session->set(bar => $bar);

# remove session data
$session->unregister('foo');

# remove all session data
$session->unset;

# check if data is registered
$session->is_registered('bar');

# save session data
$session->save;

# destroy session
$session->destroy;
