use strict;
use Test::More tests => 13;

BEGIN { use_ok('PHP::Session') }

my $session = PHP::Session->new("test", { save_path => '.' });
ok $session, 'session load ok';
isa_ok $session, 'PHP::Session';
is $session->id, 'test', 'session id is test';

my $a = $session->get('a');
is ref($a), 'HASH', 'a is hash in Perl';
is $a->{1}, 'foo', '$a[1] = foo';
isa_ok $a->{2}, 'PHP::Session::Object', '$a[2] = object';
is $a->{3}, 'bar', '$a[3] = bar';
is $a->{4}, -1.2, '$a[4] = -1.2';

is_deeply $session->get('data'), {
    hi => 'foo', foo => 'bar',
}, 'data is also hashref';

is $session->get('c'), 1, 'counter is 1';
is $session->get('d'), undef, 'null is undef';
ok !$session->get('bool'), 'bool is false';


